#!/bin/sh
# Copyright (c) 2003-2006 Erez Zadok
# Copyright (c) 2003-2006 Stony Brook University
# Copyright (c) 2003-2006 The Research Foundation of State University of New York
# Copyright (c) 2004-2006 Nikolai Joukov
# Copyright (c) 2003-2005 Akshat Aranya
# Copyright (c) 2006-2006 Gopala Surya

LOWERDIR=/n/lower
MOUNTPOINT=/n/tracefs-upper
DEBUG=0
BINDIR=../src/
CONF=streaming_tracefs_config
export LD_LIBRARY_PATH=${BINDIR}user

#/sbin/insmod ${BINDIR}kwrappers.ko
/sbin/insmod ${BINDIR}tracefs.ko || exit $?
mount -t tracefs -o dir=${LOWERDIR},debug=${4:-$DEBUG} none ${MOUNTPOINT} || exit $?

rm -f /n/fsl/streaming.trfs*
${BINDIR}user/add_dest -p ${MOUNTPOINT} < $CONF
${BINDIR}user/gostop ${MOUNTPOINT} go 0

#
# Replace this 'ls' with the activity to trace
#
##################
#Tracing operation begins
##################

ls ${MOUNTPOINT}
cd ${MOUNTPOINT}
date > test
cp $LOWERDIR/test $LOWERDIR/test1

###################
#Tracing operation ends
####################
cd /home/gopalas/proj/tracefs/examples
${BINDIR}user/gostop ${MOUNTPOINT} stop 0
${BINDIR}user/gostop ${MOUNTPOINT} d 0
umount ${MOUNTPOINT}
/sbin/rmmod tracefs
#/sbin/rmmod kwrappers

#
# postprocessing phase
#
export LD_LIBRARY_PATH=../apps
../apps/tracegen -f /n/fsl/streaming.trfs > /n/fsl/streaming.trfs.txt

